<?php
 
namespace Application\Block\GoogleMap;
 
use Page;
use Concrete\Core\Block\BlockController;
use Core;
use Concrete\Block\GoogleMap\Controller as GoogleMapBlockController;
 
class Controller extends GoogleMapBlockController
{
 
    public function registerViewAssets($outputContent = '')
    {
        $this->requireAsset('javascript', 'jquery');
    }
 
    public function view()
    {
        $this->set('unique_identifier', Core::make('helper/validation/identifier')->getString(18));
        $this->set('bID', $this->bID);
        $this->set('title', $this->title);
        $this->set('location', $this->location);
        $this->set('latitude', $this->latitude);
        $this->set('longitude', $this->longitude);
        $this->set('zoom', $this->zoom);
        $this->set('scrollwheel', $this->scrollwheel);
        $this->addFooterItem(
            '<script defer src="https://maps.googleapis.com/maps/api/js"></script>'
        );
    }
 
}
