if(CCM_EDIT_MODE == false){
	
	var masonryInited = false;
	var min_width = 640;
	masonrySwitch();
	function masonrySwitch() {
		if ( $(window).innerWidth() < min_width ) {
			if (masonryInited) {
				$('.area-box').masonry('destroy');
				masonryInited = false;
			}
		} else {
			$('.area-box').imagesLoaded( function(){
				$('.area-box').masonry({
					isRTL: false,
					itemSelector: '.box',
					isFitWidth: true,
					columnWidth: 278,
					isResizable: true,
					isAnimated: true
				});
			});
			masonryInited = true;
		}
	}
	
	var timer = false;
	
	$(window).resize(function () {
		if (timer !== false) {
			clearTimeout(timer);
		}
		timer = setTimeout(function() {
			masonrySwitch();
			facebookResize();
		}, 200);
	});

}