<?php  defined('C5_EXECUTE') or die("Access Denied."); ?>
<!DOCTYPE html>
<html lang="<?php echo Localization::activeLanguage();?>">
<head prefix="og: http://ogp.me/ns# fb: http://ogp.me/ns/fb# article: http://ogp.me/ns/article#">
<meta name="viewport" content="width=device-width,initial-scale=1">

<!-- Custom Fonts -->
<link href='https://fonts.googleapis.com/css?family=Montserrat:400,700&subset=latin,greek,greek-ext,cyrillic-ext,cyrillic' rel='stylesheet' type='text/css'>
<link href="<?php echo $this->getThemePath(); ?>/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
<!-- Bootstrap CSS -->
<link href="<?php echo $this->getThemePath(); ?>/css/bootstrap.min.css" rel="stylesheet" type="text/css">
<!-- Custom CSS -->
<?php echo $html->css($view->getStylesheet('main.less')) ?>

<?php View::element('header_required');?>

</head>

<body>
	<div class="<?php echo $c->getPageWrapperClass()?>">
		<div class="container-fluid">
			<div class="row">
				<div class="area-box" id="area-box">
					<section class="box masonry-brick clearfix">
						<div class="sidebar-box">
							<div class="sidebar-box-inner shadow">
								<div class="logo-box">
								<?php
									$a = new GlobalArea('Logo');
									$a->display();
								?>
								</div>
								<div class="description-box">
									<?php
										$a = new GlobalArea('Description');
										$a->display();
									?>
								</div>
								<div class="gnavi">
									<?php
										$a = new GlobalArea('Navi');
										$a->display();
									?>
								</div>
							</div>
							
							<?php 
							$a = new GlobalArea('Fb Box');
							if($a->getTotalBlocksInArea()){ ?>
								<div class="fb-box clearfix shadow">
							<?php } ?>
								<?php
									$a->display();
	
							if($a->getTotalBlocksInArea()){ ?>
								</div>
							<?php } ?>
							
							<?php 
							$a = new GlobalArea('Tw Box');
							if($a->getTotalBlocksInArea()){ ?>
								<div class="tw-box clearfix shadow">
							<?php } ?>
								<?php
									$a->display();
	
							if($a->getTotalBlocksInArea()){ ?>
								</div>
							<?php } ?>

							<div class="pickup-box clearfix shadow">
								<?php
									$a = new GlobalArea('Related Box');
									$a->display();
								?>
							</div><!--pickup-box-->
						</div><!--sidebar-box-->
					</section><!--box-->